﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TreeView_SL_DragDrop
{
	public class MainVM : ViewModelBase
	{
		public MainVM()
		{
			this.stringSource = new ObservableCollection<StringItem>();
			this.intSource = new ObservableCollection<IntItem>();
			this.GenetareSampleData();
		}

		private ObservableCollection<StringItem> stringSource;
		public ObservableCollection<StringItem> StringSource
		{
			get
			{
				return this.stringSource;
			}
			set
			{
				if (this.StringSource != null)
				{
					this.stringSource = value;
					this.OnPropertyChanged("StringSource");
				}
			}
		}

		private ObservableCollection<IntItem> intSource;
		public ObservableCollection<IntItem> IntSource
		{
			get 
			{
				return this.intSource;
			}
			set
			{
				if (this.IntSource != null)
				{
					this.intSource = value;
					this.OnPropertyChanged("IntSource");
				}
			}
		}

		private void GenetareSampleData()
		{
			this.IntSource.Add(new IntItem() { Header = 1 });
			this.IntSource.Add(new IntItem() { Header = 2 });
			this.IntSource.Add(new IntItem() { Header = 3 });
			this.IntSource.Add(new IntItem() { Header = 4 });

			this.StringSource.Add(new StringItem() { Header = "5" });
			this.StringSource.Add(new StringItem() { Header = "6" });
			this.StringSource.Add(new StringItem() { Header = "7" });
			this.StringSource.Add(new StringItem() { Header = "8" });
		}
	}
}